> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getoutbox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tool

> Retrieve detailed information about a specific module instance including configurations and recent logs



## OpenAPI

````yaml GET /module/instance/{instance_id}
openapi: 3.1.0
info:
  title: Outbox AI API
  description: API for managing AI agents (chatbots and voicebots) on the Outbox platform
  version: 1.0.0
servers:
  - url: https://api.getoutbox.ai
security: []
paths:
  /module/instance/{instance_id}:
    get:
      summary: Get Module Instance
      description: >-
        Retrieve detailed information about a specific module instance including
        configurations and recent logs
      parameters:
        - name: instance_id
          in: path
          description: The ID of the module instance
          required: true
          schema:
            type: string
        - name: X-User-Timezone
          in: header
          description: User's timezone for timestamp formatting
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Module instance details retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModuleInstanceDetail'
        '401':
          description: Unauthorized - Invalid or missing API key
        '404':
          description: Module instance not found
      security:
        - CompanyApiKey: []
components:
  schemas:
    ModuleInstanceDetail:
      type: object
      properties:
        instance_name:
          type: string
          description: Instance name
        module_name:
          type: string
          description: Module name
        description:
          type: string
          description: Module description
        icon:
          type: string
          description: Icon URL
        schedule:
          type: object
          nullable: true
          description: Crontab schedule details, null if not scheduled
        activation_type:
          type: string
          description: How the module is activated
        configurations:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              key:
                type: string
              value:
                type: string
                description: Masked with * if secret
              secret:
                type: boolean
        logs:
          type: array
          description: Logs from the 3 most recent module runs
          items:
            type: object
            properties:
              timestamp:
                type: string
                description: 'Formatted: DD/MM/YYYY • HH:MM AM/PM in user''s timezone'
              message:
                type: string
              type:
                type: string
  securitySchemes:
    CompanyApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: Company API Key

````